#Database connections properties prefix
#With this prefix we establish which properties will be used to connect with
#the different database.
smartgov.bdPrefix.userSystem=smartgov.bdUsers.
smartgov.bdPrefix.xmlRepository=smartgov.bdXmlRepository.

##      Database type (values MsSqlServer and MySql)
smartgov.databaseType=MySql
##		User Database connection 
smartgov.bdUsers.dbConnProviderFactory=es.indra.util.db.DBConnectionPoolFactory
smartgov.bdUsers.user=db_user
smartgov.bdUsers.password=egov
smartgov.bdUsers.poolSize=2
##		User Database connection - MySQL
smartgov.bdUsers.driverClass=org.gjt.mm.mysql.Driver
smartgov.bdUsers.url=jdbc:mysql://localhost/smartgov_user_system


##		OuterUser Database connection 
outerUserSystemFactory.smartgov_outer=es.indra.smartgov.businesslayer.usermgmt.DBOuterUserSystemFactory
smartgov.bdOuterUsers.dbConnProviderFactory=es.indra.util.db.DBConnectionPoolFactory
smartgov.bdOuterUsers.user=db_user
smartgov.bdOuterUsers.password=egov
smartgov.bdOuterUsers.poolSize=2
##		OuterUser Database connection - MySQL
smartgov.bdOuterUsers.driverClass=org.gjt.mm.mysql.Driver
smartgov.bdOuterUsers.url=jdbc:mysql://localhost/smartgov_outer_users

##		XmlRepository Database connection
smartgov.bdXmlRepository.dbConnProviderFactory=es.indra.util.db.DBConnectionPoolFactory
smartgov.bdXmlRepository.user=xmlstore_user
smartgov.bdXmlRepository.password=egov
smartgov.bdXmlRepository.poolSize=2
##		XmlRepository Database connection - MySQL
smartgov.bdXmlRepository.driverClass=org.gjt.mm.mysql.Driver
smartgov.bdXmlRepository.url=jdbc:mysql://localhost/xmlstore



#Properties provider
smartgov.propertiesProviderFactory=es.indra.util.SimplestPropertiesProviderFactory

#connectors
smartgov.roleSystemConnectorFactory=es.indra.smartgov.datalayer.db.DBConnectorsFactory
smartgov.kmSystemConnectorFactory=es.indra.smartgov.datalayer.xmlstore.XmlStoreConnectorsFactory
smartgov.smSystemConnectorFactory=es.indra.smartgov.datalayer.xmlstore.XmlStoreConnectorsFactory
smartgov.lifeCycleSystemConnectorFactory=es.indra.smartgov.datalayer.xmlstore.XmlStoreConnectorsFactory

##		To the XMLRepositoryConnector
smartgov.xmlRepository.serverName=localhost
smartgov.xmlRepository.portNumber=3306
smartgov.xmlRepository.databaseName=xmlstore
smartgov.xmlRepository.user=xmlstore_user
smartgov.xmlRepository.password=egov
smartgov.xmlRepository.com.archetypon.xml.store.provider=com.archetypon.xml.store.impl.XmlStoreImpl
##		To the XMLRepositoryConnector - MySQL
smartgov.xmlRepository.URL=jdbc:mysql://localhost/xmlstore
smartgov.xmlRepository.com.archetypon.xml.store.datasource.provider=com.mysql.jdbc.jdbc2.optional.MysqlDataSource
# DBMS Type (valid values are "MySQL 4.x" and "Microsoft SQL Server 2000")
smartgov.xmlRepository.com.archetypon.xml.store.dbms=MySQL 4.x
# Datasource class path
smartgov.xmlRepository.com.archetypon.xml.store.datasource.classpath=c:\\tomcat_4\\webapps\\SmartGov\\WEB-INF\\lib\\mysql-connector-java-3.0.7-stable-bin.jar

#Languages
smartgov.availableLocales=es,en,el
smartgov.flagImage.es=images/flags/sp_g.gif
smartgov.flagImage.en=images/flags/en_g.gif
smartgov.flagImage.el=images/flags/gr_g.gif
smartgov.flagImageOver.es=images/flags/sp_g_o.gif
smartgov.flagImageOver.en=images/flags/en_g_o.gif
smartgov.flagImageOver.el=images/flags/gr_g_o.gif
smartgov.localeNameTag.es=common.language.spanish
smartgov.localeNameTag.en=common.language.english
smartgov.localeNameTag.el=common.language.greek


# For lifecycle
smartgov.processDefinition.ku=ku.xml
smartgov.processDefinition.ts=ts.xml